Subject: Re: [PATCH 3/4] Use embedded libfdt in the bootwrapper

From: Scott Wood <[email-masked]>
Date: Thu, 8 Nov 2007 10:08:39 -0600

On Thu, Nov 08, 2007 at 02:36:03PM +1100, David Gibson wrote:
> This patch incorporates libfdt (from the source embedded in an earlier
> patch) into the wrapper.a library used by the bootwrapper.  This
> includes adding a libfdt_env.h file, which the libfdt sources need in
> order to integrate into the bootwrapper environment, and a
> libfdt-wrapper.c which provides glue to connect the bootwrappers
> abstract device tree callbacks to the libfdt functions.
> 
> In addition, this patch changes the various wrapper and platform files
> to use libfdt functions instead of the older flatdevtree.c library.

Won't we need to change the dtc invocation in the wrapper to reserve some
space now?

Speaking of which, it seems dtc still only supports setting the total size,
as opposed to specifying the amount of additional space.  It's still a bit
crappy having to guess how much space to add, but it's better than needing
to know how big the dtb will be without additional space.

How hard would it be to get libfdt to dynamically allocate any extra space
it needs?  This is a regression from the current flat device tree code...

-Scott